// -bold, -italic, -lighter
.-bold
	font-weight: 700
.-italic
	font-style: italic
.-lighter
	font-weight: 300
.-uppercase
	text-transform: uppercase
// -small
.-small
	font-size: $font-size * 0.84
.-center
	text-align: center
.-right
	text-align: right
// -closed
.-closed
	display: none

// Lists
$levels:        ("first": 8, "second": 4, "third": 2, "fourth": 1, "fifth": 0.5, "sixth": 0.25, "seventh": 0.16, "zero": 0)
$color_names:   ("primary", 	"black", 		"white", 		"blue", 	"blue-dark", 		"blue-light", 		"green", 		"green-dark", 		"green-light", 		"red", 		"light", 		"lighter", 		"light-on-dark", 		"light-on-light", 		"gray", 		"dark", 		"darker", 		"dark-on-dark",		"dark-on-light")
$colors:        ($primary,		$black,			$white,			$blue,		 $blue_dark,		$blue_light,		 $green,		$green_dark,		$green_light,		$red,		$light,			$lighter,		$light_on_dark,			$light_on_light,		$gray,			$dark,			$darker,		$dark_on_dark,		$dark_on_light)
$bg_colors:     ($primary,		$black,			$white,			$blue,		 $blue_dark,		$blue_light,		 $green,		$green_dark,		$green_light,		$red,		$light,			$lighter,		$light_on_dark,			$light_on_light,		$gray,			$dark,			$darker, 		$dark_on_dark,		$dark_on_light)

// -color, -bg-color
@for $i from 1 through length($color-names)
	$color-name: nth($color_names, $i)
	.-#{$color-name}
		color: nth($colors, $i)
		a
			color: nth($colors, $i)
	.-bg-#{$color-name}
		background-color: nth($bg_colors, $i)

@each $level, $size in $levels
	// Margin
	.-margin-#{$level}
		margin:									($padding_y_child * $size) ($padding_x_child * $size) !important
	.-margin-left-#{$level}
		margin-left:							($padding_x_child * $size) !important
	.-margin-top-#{$level}
		margin-top:								($padding_y_child * $size) !important
	.-margin-right-#{$level}
		margin-right:							($padding_x_child * $size) !important
	.-margin-bottom-#{$level}
		margin-bottom:							($padding_y_child * $size) !important
	// Padding
	.-padding-#{$level}
		padding:								($padding_y_child * $size) ($padding_x_child * $size) !important
	.-padding-left-#{$level}
		padding-left:							($padding_x_child * $size) !important
	.-padding-top-#{$level}
		padding-top:							($padding_y_child * $size) !important
	.-padding-right-#{$level}
		padding-right:							($padding_x_child * $size) !important
	.-padding-bottom-#{$level}
		padding-bottom:							($padding_y_child * $size) !important
	// Negativ Margin
	.-padding-#{$level}-negativ
		margin:									($padding_y_child * $size * -1) ($padding_x_child * $size * -1) !important
	.-padding-left-#{$level}-negativ
		margin-left:							($padding_x_child * $size * -1) !important
	.-padding-top-#{$level}-negativ
		margin-top:								($padding_y_child * $size * -1) !important
	.-padding-right-#{$level}-negativ
		margin-right:							($padding_x_child * $size * -1) !important
	.-padding-bottom-#{$level}-negativ
		margin-bottom:							($padding_y_child * $size * -1) !important
	// -width-first, -height-second, -min-height-second, -min-width-sixth, ...
	.-width-#{$level}
		width:									($width * $size) !important
	.-height-#{$level}
		height:									($height * $size) !important
	.-min-width-#{$level}
		min-width:								($width * $size) !important
	.-min-height-#{$level}
		min-height:								($height * $size) !important
.-width-full
	width: 100%
.-watermark
	background-image: url('/data/fms/app/logo-responsive/6.png')
	background-repeat: no-repeat
	background-position: right 6px bottom 6px
	background-size: 12px
.-code-font
	font-family: $font_family_code
